package ru.mai.dep806.collections;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * Created by EUGENEL on 12.03.2015.
 */
public class LambdaExamples {

    public static void main(String[] args) {

        String[] fruits = new String[]
                {null, "apple", "orange", "banana", "apple", "potato", "plums"};

//        List<String> filteredFruits = new ArrayList<String>();
//        for(String fruit : fruits) {
//            if (fruit.contains("p")) {
//                filteredFruits.add(fruit);
//            }
//        }

//        System.out.println(filteredFruits);


        Map<Integer, String> filteredFruits2 =
                Stream.of(fruits).filter(f -> f.contains("p"))
                        .distinct()
                        .collect(
                                Collectors.toMap(String::length, f -> f));

        System.out.println(filteredFruits2);
    }
}
