package ru.mai.dep806.iosamples;

import java.io.*;

/**
 * Created by EUGENEL on 03.04.14.
 */
public class SerializationSample {

    public static class Apple implements Serializable {
        public static final long serialVersionUID = 2;

//        private int color2;
        private String name;
        private int color2;


        public Apple(String name, int color) {
            this.name = name;
            this.color2 = color;
            System.out.println("Constructor");
        }

        @Override
        public String toString() {
            return super.toString() + " / Apple{" +
                    "name='" + name + '\'' +
                    ", color=" + color2 +
                    '}';
        }
    }


    public static void main(String[] args) throws IOException, ClassNotFoundException {
        Apple apple = new Apple("Антоновка", 77);
        System.out.println(apple);

//        ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("c:/temp/apple"));
//        out.writeObject(apple);
//        out.close();

        ObjectInputStream in = new ObjectInputStream(new FileInputStream("c:/temp/apple"));
        Apple deserializedApple = (Apple) in.readObject();

        System.out.println(deserializedApple);
    }
}
