package ru.mai.dep806.iosamples;

import java.io.*;

/**
 * Created by EUGENEL on 03.04.14.
 */
public class StreamSample {

    public static void main(String[] args) throws IOException {

        // new ByteArrayInputStream(new byte[100]);

        try (InputStream inputStream = new FileInputStream("c:/temp/Readme.txt")) {
            int c;
            while ((c = inputStream.read()) != -1) {
                System.out.print((char) c);
            }
        }

        try (OutputStream outputStream = new FileOutputStream("c:/temp/out.txt")) {
            outputStream.write("а".getBytes("UTF-8"));
            outputStream.write("б".getBytes("cp1251"));
            outputStream.write("в".getBytes());
            outputStream.write('\n');
            outputStream.write('d');
        }

        try (   InputStream inputStream = new FileInputStream("c:/temp/Readme.txt");
                InputStreamReader reader = new InputStreamReader(inputStream, "windows-1251");
                Writer writer = new FileWriter("c:/temp/Readme-copy.txt")) {
            int c;
            while((c = reader.read()) != -1) {
                System.out.print((char) c);
                writer.write(c);
            }
        }




    }
}
