package ru.mai.dep806.web;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * Created by EUGENEL on 14.05.2015.
 */
public class AuthFilter implements Filter {

    @Override
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest) servletRequest;
        HttpServletResponse response = (HttpServletResponse) servletResponse;
        // before
        String user = (String) request.getSession().getAttribute("user");
        if (user == null && !request.getRequestURI().equals("/login.jsp")) { // not logged in
            response.sendRedirect("login.jsp");
            return;
        }
        request.setAttribute("user", user);

        filterChain.doFilter(servletRequest, servletResponse);
        // after
    }

    @Override
    public void destroy() {

    }
}
