package ru.mai.dep806.threads;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * Created by EUGENEL on 23.04.2015.
 */
public class AtomicSample {

    static AtomicInteger counter = new AtomicInteger(0);
    private static int maxTryCount = 1000;


    public static void main(String[] args) {

        for (int j = 0; j < maxTryCount; j++) {
            int i = counter.get();
            if (i == 0 && counter.compareAndSet(i, i + 1)) {
                try {
                    // do something long
                } finally {
                    counter.decrementAndGet();
                }
            }
            Thread.yield();
        }

        counter.incrementAndGet();
//            if (counter == i) {
//                counter++;
//            }
    }
}
