package ru.mai.dep806.threads;

import java.util.EventListener;

/**
 * Created by EUGENEL on 09.04.2015.
 */
public class AnonymousSample {

    public static void main(String[] args) {
        new AnonymousSample().execute();
    }

    public interface MathOperation {
        public int calculate(int a, int b);
    }

    private int n = 10;

    public void execute() {

        final StringBuilder sb = new StringBuilder("abc");

        Runnable action = () -> System.out.println("run");

        MathOperation plus = (a, b) -> {System.out.println(n);
            System.out.println(sb);
            sb.append("bcd");
            return a + b;
        };

        MathOperation plus2 = new MathOperation() {
            @Override
            public int calculate(int a, int b) {
                System.out.println(n);
                System.out.println(sb);
                sb.append("bcd");
                return a + b;
            }
        };

        plus.calculate(5, 6);

        sb.append("qwe");
        plus.calculate(6, 7);

        System.out.println(sb);
    }


}
