package ru.mai.dep806.threads;

/**
 * Created by EUGENEL on 16.04.2015.
 */
public class DeadlockSample {

    private static Object monitor1 = new Object();
    private static Object monitor2 = new Object();

    public static void main(String[] args) {

        new Thread(() -> {
            synchronized (monitor1) {
                try {
                    Thread.sleep(1L);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                System.out.println("Thread 1: I have monitor 1");
                   synchronized (monitor2) {
                       System.out.println("Thread 1: I have monitor 2");
                   }
            }
        }).start();


        new Thread(() -> {
            synchronized (monitor2) {
                try {
                    Thread.sleep(1L);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                System.out.println("Thread 2: I have monitor 2");
                synchronized (monitor1) {
                    System.out.println("Thread 2: I have monitor 1");
                }
            }

        }).start();


    }

}
